Subject: [feature request]: autoloading buffers like autoloading elisp files or dynamic modules

From: Zhang Haijun <[email-masked]>
Date: Tue, 5 Feb 2019 09:44:35 +0000

I use desktop to remember my opened buffers. There are about 220 buffers now. Everytime I start Emacs, I see the most time is spent on loading buffers. The total startup time is about 6s or more, which is too long for me.

I know the lazy-loading feature of desktop. But I don’t like it because: 
1. I can’t switch to buffer which is now loaded by desktop.
2. If I quit emacs before all lazy-loading finished, some buffers will not be remembered by desktop.

There may be two solutions:
1. Load multiple buffers concurrently
2. Autoload buffers like autoloading elisp files or dynamic modules